# vim: sw=4:ts=4:et


%define relabel_files() \
restorecon -R /usr/sbin/qdrouterd; \
restorecon -R /usr/lib/systemd/system/qdrouterd.service; \
#restorecon -R /var/run/qpid-dispatch; \
restorecon -R /etc/qpid-dispatch; \


%define selinux_policyver 3.13.1-102

Name:   qdrouterd_selinux
Version:	1.0
Release:	1%{?dist}
Summary:	SELinux policy module for qdrouterd

Group:	System Environment/Base		
License:	GPLv2+	
URL:		http://www.redhat.com
Source0:	qdrouterd.pp
Source1:	qdrouterd.if
Source2:	qdrouterd_selinux.8


Requires: policycoreutils, libselinux-utils
Requires(post): selinux-policy-base >= %{selinux_policyver}, policycoreutils
Requires(postun): policycoreutils
Requires(post): qpid-dispatch-router
#Do not allow for this RPM to work with Satellite 6.3
Conflicts: satellite-installer >=  6.3
BuildArch: noarch

%description
This package installs and sets up the  SELinux policy security module for qdrouterd.

%install
install -d %{buildroot}%{_datadir}/selinux/packages
install -m 644 %{SOURCE0} %{buildroot}%{_datadir}/selinux/packages
install -d %{buildroot}%{_datadir}/selinux/devel/include/contrib
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/selinux/devel/include/contrib/
install -d %{buildroot}%{_mandir}/man8/
install -m 644 %{SOURCE2} %{buildroot}%{_mandir}/man8/qdrouterd_selinux.8
install -d %{buildroot}/etc/selinux/targeted/contexts/users/


%post
semodule -n -i %{_datadir}/selinux/packages/qdrouterd.pp
if /usr/sbin/selinuxenabled ; then
    /usr/sbin/load_policy
    %relabel_files
    semanage port -a -t qdrouterd_port_t -p tcp 5646
    semanage port -a -t qdrouterd_port_t -p tcp 5647
fi;
exit 0

%postun
if [ $1 -eq 0 ]; then
    semanage port -d -p tcp 5646
    semanage port -d -p tcp 5647
    semodule -n -r qdrouterd
    if /usr/sbin/selinuxenabled ; then
       /usr/sbin/load_policy
       %relabel_files
    fi;
fi;
exit 0


$clean


%files
%attr(0600,root,root) %{_datadir}/selinux/packages/qdrouterd.pp
%{_datadir}/selinux/devel/include/contrib/qdrouterd.if
%{_mandir}/man8/qdrouterd_selinux.8.*


%changelog
* Mon May 22 2017 Jerone Young <jyoung@redhat.com> 1.0-1
- Initial version

